> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool Stats

> Returns execution statistics for a tool.



## OpenAPI

````yaml /openapi.yaml get /v1/tools/{toolId}/stats
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/tools/{toolId}/stats:
    get:
      tags:
        - Tools
      summary: Get Tool Stats
      description: Returns execution statistics for a tool.
      parameters:
        - name: toolId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Tool stats retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_runs:
                    type: number
                  success_count:
                    type: number
                  success_rate:
                    type: number
                    nullable: true
                  avg_execution_time:
                    type: number
                    nullable: true
                  last_run:
                    type: string
                    nullable: true
        '500':
          description: Failed to get tool stats.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````